package com.htfp.weather.griddata.operation;


import com.aliyun.tablestore.grid.TableStoreGridConfig;
import com.aliyun.tablestore.grid.TableStoreGrid;
import com.htfp.weather.griddata.common.TableConfig;
import com.htfp.weather.griddata.common.TableStoreConf;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.DependsOn;

import javax.annotation.PostConstruct;

@DependsOn("tableStoreConf")
public abstract class BaseTableOperation{

    protected TableStoreGrid tableStoreGrid;
    // private String pathSeperator = "/";
    @Autowired
    private TableConfig tableConfig;
    @Autowired
    private TableStoreConf tableStoreConf;

    @PostConstruct
    public void init() {
        TableStoreGridConfig config = new TableStoreGridConfig();
        config.setTableStoreEndpoint(tableStoreConf.getEndpoint());
        config.setAccessId(tableStoreConf.getAccessId());
        config.setAccessKey(tableStoreConf.getAccessKey());
        config.setTableStoreInstance(tableStoreConf.getInstanceName());
        config.setDataTableName(tableConfig.getDataTableName());
        config.setMetaTableName(tableConfig.getMetaTableName());
        tableStoreGrid = new TableStoreGrid(config);
    }

    public void close() {
        if (tableStoreGrid != null) {
            tableStoreGrid.close();
        }
    }
}
