package com.htfp.weather.info;

/**
 * @Author : shiyi
 * @Date : 2024/4/28 16:45
 * @Description : 高度层枚举
 */
public enum GfsLevelsEnum {
    //
    SURFACE(9999, "地面"),
    PRES_1000hPa(1000, "1000 hPa"),
    PRES_975hPa(975, "975 hPa"),
    PRES_950hPa(950, "950 hPa"),
    PRES_925hPa(925, "925 hPa"),
    PRES_900hPa(900, "900 hPa"),
    PRES_850hPa(850, "850 hPa"),
    PRES_800hPa(800, "800 hPa"),
    PRES_750hPa(750, "750 hPa"),
    PRES_700hPa(700, "700 hPa"),
    PRES_650hPa(650, "650 hPa"),
    PRES_600hPa(600, "600 hPa"),
    PRES_550hPa(550, "550 hPa"),
    PRES_500hPa(500, "500 hPa"),
    PRES_450hPa(450, "450 hPa"),
    PRES_400hPa(400, "400 hPa"),
    PRES_350hPa(350, "350 hPa"),

    ;


    private final Integer code;
    private final String info;

    GfsLevelsEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

    public static GfsLevelsEnum getByCode(Integer code) {
        for (GfsLevelsEnum c : GfsLevelsEnum.values()) {
            if (c.getCode().equals(code)) {
                return c;
            }
        }
        return null;
    }
    public static boolean contains(Integer test) {
        for (GfsLevelsEnum c : GfsLevelsEnum.values()) {
            if (c.getCode().equals(test)) {
                return true;
            }
        }
        return false;
    }
}
