package com.htfp.weather.web.pojo.caiyun;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author : shiyi
 * @Date : 2024/4/15 18:52
 * @Description :
 */
@Data
public class CaiYunNowResponse extends CaiYunBaseResponse{

    @JsonProperty("result")
    private NowResult nowResult;

    // Getters and Setters

    @Data
    public static class NowResult {
        private RealTime realtime;
        private int primary;

        @Data @JsonIgnoreProperties(value = {"apparent_temperature","dswrf", "air_quality", "life_index"}, ignoreUnknown = true)
        public static class RealTime {
            private String status;
            private String description;
            private Precipitation precipitation;
            private Float temperature;
            private Wind wind;
            private Float humidity;
            private Float cloudrate;
            private Float pressure;
            private Float visibility;
            private String skycon;
        }
        @Data
        public static class Wind {
            private Float speed;
            private Float direction;
        }

        @Data
        public static class Precipitation {
            private Local local;
            private Nearest nearest;
            @Data
            public static class Local {
                private String status;
                private String datasource;
                private Float intensity;
            }
            @Data
            public static class Nearest {
                private String status;
                private Float distance;
                private Float intensity;
            }
        }
    }
}
