package com.htfp.weather.web.pojo.response;

import lombok.Data;

import java.sql.Time;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/1/24 13:46
 * @Description : 将和风的逐小时数据集转换为变量时间序列数据集
 */
@Data
public class TimeSeriesDataset {
    List<String> time;
    Double latitude;
    Double longitude;
    float[] temp;
    float[] windSpeed;
    float[] wind360;
    // List<String> windScale;
    float[] humidity;
    // float[] pressure;
    float[] cloud;
    float[] precip;

    public TimeSeriesDataset() {}
    public TimeSeriesDataset(int size) {
        time = new ArrayList<>(size);
        temp = new float[size];
        windSpeed = new float[size];
        wind360 = new float[size];
        // windScale = new float[size;
        humidity = new float[size];
        // pressure = new float[size;
        cloud = new float[size];
        precip = new float[size];
    }
}
