package com.htfp.weather.griddata.operation;

import org.apache.commons.lang3.StringUtils;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import ucar.nc2.Attribute;
import ucar.nc2.NetcdfFile;
import ucar.nc2.NetcdfFiles;
import ucar.nc2.Variable;

import javax.annotation.Resource;
import java.io.IOException;
import java.time.LocalDateTime;
import java.time.OffsetDateTime;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;

import static java.time.format.DateTimeFormatter.ISO_DATE_TIME;
import static org.junit.jupiter.api.Assertions.*;

/**
 * @Author : shiyi
 * @Date : 2024/3/1 18:27
 * @Description :
 */
@SpringBootTest
class GfsDataImportTest {
    @Resource
    GfsDataImport gfsDataImport;
    @Test
    void getRefTime() throws IOException {
        NetcdfFile ncFile = NetcdfFiles.open("C:/Users/shi_y/Desktop/GFSData/UTC-20230905/BJT-20230905-0900.grib2");
        Variable time = ncFile.findVariable("reftime");
        if ( time!= null) {
            int hour = (int) time.read().getDouble(0);
            Attribute units = time.findAttribute("units");
            if (units != null) {
                String stringValue = units.getStringValue();
                if (StringUtils.isNotBlank(stringValue)) {
                    ZonedDateTime zonedDateTime = ZonedDateTime.parse(stringValue.substring(11)).plusHours(hour);
                    zonedDateTime.plusHours(hour);
                }
            }
        }
    }

    @Test
    void importData() throws Exception {
        OffsetDateTime refTime = OffsetDateTime.parse("2024-05-08T00:00+00:00");
        gfsDataImport.importData(refTime);
    }
}