package com.htfp.weather.utils;

import org.junit.jupiter.api.Test;
import ucar.ma2.Array;
import ucar.ma2.InvalidRangeException;
import ucar.nc2.NetcdfFile;
import ucar.nc2.NetcdfFiles;
import ucar.nc2.Variable;

import java.io.IOException;

import static org.junit.jupiter.api.Assertions.*;

/**
 * @Author : shiyi
 * @Date : 2024/5/8 18:12
 * @Description :
 */
class MeteoUtilsTest {

    @Test
    void calculateWindSpeed() {
    }

    @Test
    void calculateWindDirection() {
        float u = 10.0F;
        float v = 10.0F;
        System.out.println(MeteoUtils.calculateWindDirection(u, v));
    }

    @Test
    void testCalculateWindSpeed() throws IOException {
        try (NetcdfFile ncFile = NetcdfFiles.open("D:\\HTFP\\weather\\GFSData\\UTC-20240512.18\\BJT-20240513.09-from-UTC-20240512.18+7.grib2")) {

            Array uwnd = ncFile.findVariable("u-component_of_wind_isobaric").read(new int[]{0, 0, 0, 0}, new int[]{1, 10, 221, 281});
            Array vwnd = ncFile.findVariable("v-component_of_wind_isobaric").read(new int[]{0, 0, 0, 0}, new int[]{1, 10, 221, 281});
            // long l1 = measureExecutionTime(() -> MeteoUtils.calculateWindSpeed1(uwnd, vwnd));
            long l2 = measureExecutionTime(() -> MeteoUtils.calculateWindSpeed(uwnd, vwnd));
            // System.out.println("java循环计算平均单次耗时：" + l1 + "ms");
            System.out.println("djl计算平均单次耗时：" + l2 + "ms");
        } catch (InvalidRangeException e) {
            throw new RuntimeException(e);
        }
    }

    public static long measureExecutionTime(Runnable task) {
        long startTime = System.currentTimeMillis();

        // 执行任务
        for (int i = 0; i < 10; i++) {
            task.run();
        }
        long endTime = System.currentTimeMillis();
        return (long) ((endTime - startTime)/10.);
    }
}